# Pizza Wednesday Site

This repo contains the scripts, templates, and blog posts necessary to build the Pizza Wednesday landing site from scratch.

While only intended to be used by contributors for publishing new articles and changes to the website, the source files are publicly viewable for transparency and posterity.

## Publishing

Being a python script that is doing somewhat non-trivial stuff, `publish.py` will require some non-standard dependencies to run properly.

  * `markdown` for parsing the markdown source files into HTML.
  * `strip_markdown` for converting markdown source file content into plain text.
  * `jinja2` for template generation of the site contents. Without tools like it, creating static websites is a fairly miserable experience

And of course a Python interpreter will be required - specifically any compatible with CPython libraries like the ones listed above.

Once these dependencies are satisifed, generating the website should be as simple as running `publish.py`. If it does fail to run at this point, please file a bug report.